Skip to main content
GET
Python

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234_abcdef

Path Parameters

domain_id
integer
required

The domain ID

rule_id
integer
required

The advanced rule ID

Response

Successful Response

Full advanced rule representation

id
integer
required

The unique identifier for the rule

name
string
required

The name assigned to the rule

Required string length: 1 - 100
Pattern: ^[A-Za-z0-9\s.:'";<>?&|\\_-]+$
Example:

"Block foobar bot"

enabled
boolean
required

Whether or not the rule is enabled

description
string
required

A description assigned to the rule.

Maximum string length: 100
action
CustomerRuleAction · object
required

The action that the rule takes when triggered. Only one action can be set per rule.

source
string
required

A CEL syntax expression that contains the rule's conditions. Allowed objects are: request, whois, session, response, tags, user_defined_tags, user_agent, client_data.

More info can be found here: https://gcore.com/docs/waap/waap-rules/advanced-rules

Required string length: 1 - 3500
Example:

"request.rate_limit([], '.*events', 5, 200, [], [], '', 'ip') and not ('mb-web-ui' in request.headers['Cookie'] or 'mb-mobile-ios' in request.headers['Cookie'] or 'session-token' in request.headers['Cookie']) and not request.headers['session']"

phase
enum<string> | null
default:access

The WAAP request/response phase for applying the rule. Default is "access".

The "access" phase is responsible for modifying the request before it is sent to the origin server.

The "header_filter" phase is responsible for modifying the HTTP headers of a response before they are sent back to the client.

The "body_filter" phase is responsible for modifying the body of a response before it is sent back to the client.

Available options:
access,
header_filter,
body_filter